#include <stdio.h>
int main()
{
    int n, q;
    scanf("%d", &n);
    int a[n];
    for(int i=0; i<n; i++)
    {
        scanf("%d", &a[i]);
    }
    scanf("%d", &q);
    int rale[q][2];
    for(int i=0;i<q;i++)
    {
        scanf("%d %d",&rale[i][0],&rale[i][1]);
        int x=0;
        for(int j=rale[i][0]-1;j<rale[i][1]-1;j++)
        {
            if(a[j]>a[j+1])
               {
                 x++;
               }
        }
        if(x<=1)
            printf("DA\n");
        else printf("NE\n");
    }
}